Bug 1329718 - SAMBA-VSS : Not able to view windows file content on selecting <OPEN> option while "Restore previous versions" over a file in windows mount
Summary: SAMBA-VSS : Not able to view windows file content on selecting <OPEN> option ...
Keywords:
Status: NEW
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: samba
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Michael Adam
QA Contact: storage-qa-internal@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1308825 1311843
TreeView+ depends on / blocked
 
Reported: 2016-04-22 16:55 UTC by Vivek Das
Modified: 2020-01-03 02:23 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
Snapshot volumes are read-only. All snapshots are made available as directories inside .snaps. Even though snapshots are read-only the directory attribute of snapshots is same as the directory attribute of root of snapshot volume, which can be read-write. This can lead to confusion, because Windows will assume that the snapshots directory is read-write. Restore previous version option in file properties gives open option. It will open the file from the corresponding snapshot. If opening of the file also create temp files (e.g. Microsoft Word files), the open will fail. This is because temp file creation will fail because snapshot volume is read-only. Workaround: Copy such files to a different location instead of directly opening them.
Clone Of:
Environment:
Last Closed: 2018-04-16 18:18:45 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Vivek Das 2016-04-22 16:55:48 UTC
Description of problem:
When we shadow copy on windows we go ahead and try to restore the previous version of the file. On right click over the file we have 3 options
1.Restore Previous Versions
2.Copy
3.Open
When we say OPEN we get to see the content of the file.
In windows files we are not able to see the content.
It throws denial pop up. "@_GMT<timestamp>/filepath


Version-Release number of selected component (if applicable):
samba-client-4.4.2-1.el7rhgs.x86_64
glusterfs-client-xlators-3.7.9-2.el7rhgs.x86_64

How reproducible:
Always

Steps to Reproduce:
1.Create a windows file over windows client mount
2.Create a valid snapshot
3.Activate the snapshot
4.Right click on the windows file and click on Restore Previous Versions and then Click the OPEN tab
Actual results:
Not able to see the content of the file

Expected results:
Should be able to check the file content

Additional info:

Comment 3 rjoseph 2016-04-25 14:55:27 UTC
The bug description was not very clear therefore had a discussion with Vivek and following are the observations:

On right click over the file we have 3 options
1.Restore Previous Versions
2.Copy
3.Open

"Open" is working fine for .txt, and .pdf files, but not for .docx (Microsoft Word) files.

With this information it seems like Microsoft word is trying to create temporary file before opening .docx file. The snapshot files (.docx) are accessed from .snaps directory (USS) and this directory is read-only therefore we are seeing the error.

Will cross-check this assumption and see if we can provide any workaround for this problem.

Comment 4 Michael Adam 2016-04-26 12:54:09 UTC
If the RCA is correct, then other filesystems/snapshot implementations would possibly also suffer. 

As a fix/workaround, we could add an option "shadow:read only" (or so) to the shadow_copy2 module, that lets the module return every file *and directory* as read-only to the smb layer.

Comment 7 Amar Tumballi 2018-04-19 04:17:06 UTC
Closed the samba bugs in bulk when PM_Score was less than 0. As the team was working on few of them, opening all of them.

Comment 11 Sunil Kumar Acharya 2020-01-02 08:13:33 UTC
Reducing the bug priority/severity as it is marked known issue.


Note You need to log in before you can comment on or make changes to this bug.